www.cendio.com
Bug 4874 - Packet installer fails on SLED11 Sp3
: Packet installer fails on SLED11 Sp3
Status: CLOSED FIXED
: ThinLinc
Server Installer
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-28 12:11 by
Modified: 2013-10-31 11:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-28 12:11:08
Reasons seems to be that zypp.pid always exists and either contains the PID or
is an empty file and is not removed when not in use.

2013-10-28 07:04:04,732: Adding package lsb-graphics-amd64
2013-10-28 07:04:05,997: Resolving packages...
2013-10-28 07:04:05,997: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:05,997: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:05,997: Locking failed, retrying in 5 seconds
2013-10-28 07:04:11,003: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:11,003: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:11,003: Locking failed, retrying in 5 seconds
2013-10-28 07:04:16,009: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:16,009: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:16,009: Locking failed, retrying in 5 seconds
2013-10-28 07:04:21,014: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:21,014: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:21,014: Locking failed, retrying in 5 seconds
2013-10-28 07:04:26,020: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:26,020: The zypper backend has been locked by process unknown
(unknown).
2013-10-28 07:04:26,020: Too many locking attempts failed, aborting.
2013-10-28 07:04:26,023: Traceback (most recent call last):
2013-10-28 07:04:26,023:   File "/opt/thinlinc/sbin/../libexec/tl-setup.py",
line 480, in <module>
2013-10-28 07:04:26,023:     O0oO ( )
2013-10-28 07:04:26,023:   File "/opt/thinlinc/sbin/../libexec/tl-setup.py",
line 437, in O0oO
2013-10-28 07:04:26,023:     ooo0O0o00O = iiO0oOo00o . run ( )
2013-10-28 07:04:26,023:   File "/opt/thinlinc/modules/thinlinc/wizard.py",
line 91, in run
2013-10-28 07:04:26,023:     return self . _run_text ( )
2013-10-28 07:04:26,024:   File "/opt/thinlinc/modules/thinlinc/wizard.py",
line 109, in _run_text
2013-10-28 07:04:26,024:     Ooooo0Oo00oO0 ( )
2013-10-28 07:04:26,024:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/lsb.py", line 104, in <lambda>
2013-10-28 07:04:26,024:     Ii1IIii11 , O0o0o00o0Oo0 , Iiii111Ii11I1 )
2013-10-28 07:04:26,024:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/pkginsthelp.py", line 74, in
generic_text_installer
2013-10-28 07:04:26,024:     iiIIi1IiIi11 . run ( )
2013-10-28 07:04:26,024:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/pkginsthelp.py", line 400, in run
2013-10-28 07:04:26,024:     oo = iI ( self . __backend )
2013-10-28 07:04:26,024:   File
"/opt/thinlinc/modules/thinlinc/tlsetup/pkginsthelp.py", line 108, in iI
2013-10-28 07:04:26,024:     oo = backend . resolve ( )
2013-10-28 07:04:26,025:   File
"/opt/thinlinc/modules/thinlinc/packageinstaller/zypperbackend.py", line 397,
in resolve
2013-10-28 07:04:26,025:     self . lock ( )
2013-10-28 07:04:26,025:   File
"/opt/thinlinc/modules/thinlinc/packageinstaller/zypperbackend.py", line 262,
in lock
2013-10-28 07:04:26,025:     raise Exception ( "Failed to lock zypper backend.
Is another package manager running?" )
2013-10-28 07:04:26,025: Exception: Failed to lock zypper backend. Is another
package manager running?
------- Comment #1 From cendio 2013-10-29 16:43:09 -------
Fixed in r28093. Code should now be identical in behaviour to libzypp.
------- Comment #2 From cendio 2013-10-31 11:08:34 -------
Verified using SLED11 Sp3 and server build 4131.

Works as expected.